Retrieve supported assets
Get all the available supported assets for the Non-Custodial Wallet
GET
/
ncw
/
wallets
/
supported_assets
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAssetsResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletSupportedAssets(embeddedWalletsApiGetEmbeddedWalletSupportedAssetsRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAssetsResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletSupportedAssets(pageCursor, pageSize, onlyBaseAssets);response = fireblocks.embedded_wallets.get_embedded_wallet_supported_assets(page_cursor, page_size, only_base_assets);curl --request GET \
--url https://api.fireblocks.io/v1/ncw/wallets/supported_assetsconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/ncw/wallets/supported_assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"symbol": "USDT",
"name": "Tether USD",
"decimals": 6,
"networkProtocol": "ETH",
"testnet": true,
"hasFee": true,
"baseAsset": "ETH_TEST5",
"coinType": 0,
"blockchain": "ETH_TEST5",
"ethNetwork": "<string>",
"ethContractAddress": "<string>",
"issuerAddress": "rnDV4JiwgRNhudPY2sm65AzECpRXaasL4r",
"blockchainSymbol": "BTH",
"deprecated": false,
"blockchainDisplayName": "BTH"
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
Next page cursor to fetch
Items per page
Required range:
x <= 400Only base assets
Was this page helpful?
Previous
List exchange accountsDEPRECATED - Please use the `/exchange_accounts/paged` endpoint.
Endpoint Permission: Admin, Non-Signing Admin.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<EmbeddedWalletPaginatedAssetsResponse>> = fireblocks.embeddedWallets.getEmbeddedWalletSupportedAssets(embeddedWalletsApiGetEmbeddedWalletSupportedAssetsRequest);CompletableFuture<ApiResponse<EmbeddedWalletPaginatedAssetsResponse>> response = fireblocks.embeddedWallets().getEmbeddedWalletSupportedAssets(pageCursor, pageSize, onlyBaseAssets);response = fireblocks.embedded_wallets.get_embedded_wallet_supported_assets(page_cursor, page_size, only_base_assets);